gsw_pot_enthalpy_from_pt_ice {gsw} | R Documentation

## Potential Enthalpy of Ice

### Description

Potential Enthalpy of Ice

### Usage

    gsw_pot_enthalpy_from_pt_ice(pt0_ice)

### Arguments

`pt0_ice` | potential temperature of ice (ITS-90) [ degC ]

### Details

The present R function works with a wrapper to a C function contained within the GSW-C system (Version 3.05-4 dated 2017-08-07, available at https://github.com/TEOS-10/GSW-C, as git commit '5b4d959e54031f9e972f3e863f63e67fa4f5bfec'), which stems from the GSW-Fortran system (https://github.com/TEOS-10/GSW-Fortran) which in turn stems from the GSW-Matlab system (https://github.com/TEOS-10/GSW-Matlab). Consult http://www.teos-10.org to learn more about these software systems, their authorships, and the science behind it all.

### Value

potential enthalpy [ J/kg ]

### References

http://www.teos-10.org/pubs/gsw/html/gsw_pot_enthalpy_from_pt_ice.html

### See Also

Other things related to enthalpy: `gsw_CT_from_enthalpy`, `gsw_dynamic_enthalpy`, `gsw_enthalpy_CT_exact`, `gsw_enthalpy_diff`, `gsw_enthalpy_first_derivatives_CT_exact`, `gsw_enthalpy_first_derivatives`, `gsw_enthalpy_ice`, `gsw_enthalpy_t_exact`, `gsw_enthalpy`, `gsw_frazil_properties_potential_poly`, `gsw_frazil_properties_potential`, `gsw_pot_enthalpy_from_pt_ice_poly`, `gsw_pot_enthalpy_ice_freezing_poly`, `gsw_pot_enthalpy_ice_freezing`, `gsw_pt_from_pot_enthalpy_ice_poly`, `gsw_pt_from_pot_enthalpy_ice`, `gsw_specvol_first_derivatives_wrt_enthalpy`, `gsw_specvol_first_derivatives`

### Examples

    pt0_ice <- c(-10.7856, -13.4329, -12.8103, -12.2600,  -10.8863,  -8.4036)
    e <- gsw_pot_enthalpy_from_pt_ice(pt0_ice)
    expect_equal(e/1e5, c(-3.555459449611868, -3.608607069998877, -3.596153890859193,
                        -3.585123178806596, -3.557490528226009, -3.507198313847837))

[Package gsw version 1.0-5 Index]